This repository contains the code for my personal site, hosted at [carya.software](https://www.carya.software). 

# Building
"Building" the site such that it can be deployed is simple. Clone the repository, add the relevant font .ttf files, and compile the tailwindCSS. 
## Fonts 
Obtain the files [ioseevka_ter_regular.ttf](https://typeof.net/Iosevka/) and [OFLGoudyStMTT.ttf](https://www.1001fonts.com/ofl-sorts-mill-goudy-font.html) and put them in the fonts folder. 
## Tailwind 
[Install TailwindCSS](https://tailwindcss.com/docs/installation) (site most recently built with v3.3.3) with npm if you haven't already. Compile the CSS with the following terminal command. 

    npx tailwindcss -i ./www/css/theme.css -o ./www/css/theme-compiled.css
